Subject: BUG #2688: Building from source with PL/Python fails ("distutils not found")
From: "Anastasios Hatzis" <[email-masked]>
To: [email-masked]
Date: Wed, 11 Oct 2006 18:45:35 GMT

The following bug has been logged online:

Bug reference:      2688
Logged by:          Anastasios Hatzis
Email address:      [email-masked]
PostgreSQL version: 8.2beta1
Operating system:   openSUSE Linux 10.0 - 64bit
Description:        Building from source with PL/Python fails ("distutils
not found")
Details: 

OS: A clean, fresh, minimalistic installation of openSUSE Linux 10.0 - 64bit
on AMD Opteron 146 CPU. I added GCC-C++ package and dependent packages.
Details on request if needed.

A1) Building successfully Python 2.5 (final) from source:
# ./configure --enable-shared
# make
# make test
# make install

A2) Since at step B) problem occurred as described in  C) I repeated Python
installation with explicit distutils option and tried again B) - but also
with same result as in C):
# make clean
# ./configure --enable-shared --with-distutils
# make
# make test
# make install

B) Building PostgreSQL 8.2-beta1 from source:
# ./configure --with-python --with-openssl --enable-thread-safety

C) Leads to this error:
...
checking for python... /usr/local/bin/python
checking for Python distutils module... no
configure: error: distutils module not found
#

D)
But there is distutils in my Python installation:
/usr/local/lib/python2.5/distutils/

In the printed directory usr/local/bin/python the following files of
interest reside:

-rwxr-xr-x   2 root root 11912 Oct 11 20:25 python
lrwxrwxrwx   1 root root    16 Oct 11 20:25 python-config ->
python2.5-config
-rwxr-xr-x   2 root root 11912 Oct 11 20:25 python2.5
-rwxr-xr-x   1 root root  1281 Oct 11 20:25 python2.5-config

Probably I made a mistake during compilation? Or is this a problem of
8.2-beta1 with PL/Python on 64bit?

Many thanks!